# modify_shellpath_in_scripts.sh
#
# Usage:
#   sh modify_shellpath_in_scripts.sh script1 { script2 } ...
# 1. locate shell in first line,
# 2. strip dir from path
# 3. find shell executable with which
# 4. substitute in original file with sed
for i in $*
do
  SHELLPATH=`head -n 1 $i | grep -E '^#!'`
  if [ $SHELLPATH =  "" ]
    then echo "can't modify shellpath in first line of script $i - none found."
  else
    SHELLPATH=`echo $SHELLPATH | sed 's/^#!//'`
    SHELLPATH=`basename $SHELLPATH`
    SHELLPATH=`which $SHELLPATH`
    sed -i "1s+^#!.*+#!$SHELLPATH+" $i
  fi
done

