// x-Richtung: rechts-links
// y-Richtung: oben-unten
// z-Richtung: vorne-hinten


#include "colors.inc"
#include "glass.inc"
#include "skies.inc"

camera{
  location < 0, 0, -160 >
  direction < 0, 0, 2 >
  sky < 0, 1, 0 >
  up < 0, 1, 0 >
  right < 1.333, 0, 0 >
  orthographic
}

light_source { < -60, 60, -160 > color rgb < 0.35, 0.35, 0.35 > }
light_source { < 60, 60, -160 > color rgb < 0.35, 0.35, 0.35 > }
light_source { < -60, -60, -160 > color rgb < 0.35, 0.35, 0.35 > }
light_source { < 60, -60, -160 > color rgb < 0.35, 0.35, 0.35 > }

background { color White }

#declare Plastic =
  finish {        
    ambient 0.2   
    diffuse 0.7   
    reflection 0.0
    brilliance 1.0
    phong 0.3     
    phong_size 50 
    specular 0.0  
  }

#declare All_Atom_Radius = 0.15;
#include "Molekuel.pov"

#declare Molekuel=
union 
{ #include "Molekuel.inc"
  scale <1,1,-1>
}
#include "Isoober.inc"
//#declare Aufrufzeile = box { <0.1,0.1,0.1>,<0,0,0> }
//#declare Isooberflaeche = box { <0.1,0.1,0.1>,<0,0,0> }
//#declare Pfeile = box { <0,0,0>,<-0.1,-0.1,-0.1> }
//#declare Magnetfeldvektor = box { <0,0,0>,<-0.1,-0.1,-0.1> }

/*
object 
{ Aufrufzeile 
  scale 2
  translate <-57,41,0>
}

object
{ Legende
  scale <6*0.6666,6,6>
  translate <-57,-43,0>
}
*/

#declare MolUndIso=
union
{ object { Molekuel }
  object 
  { Isooberflaeche
    texture
    { pigment { color Yellow }
      finish { Plastic }
    }
  }
  object { Pfeile }
  rotate <0,0,90> rotate <10,10,10>
  translate < 0,0,0 >
  scale 6*0.6666
}

#declare MolUndMag=
union 
{ object 
  { Molekuel 
    scale 4*0.6666
  }
  object 
  { Magnetfeldvektor
    pigment { color Green }
    scale 2.5
    scale <-1,-1,-1>
  }
  rotate <0,0,90> rotate <10,10,10>
}

object 
{ MolUndMag
  translate < -45,32,0 >
}
object 
{ MolUndMag
  rotate < 90,0,0 >
  translate < -45,0,0 >
}
object 
{ MolUndMag
  rotate < 0,90,0 >
  translate < -45,-32,0 >
}

//-------------------------------------//
object 
{ MolUndIso
  translate < -10,29,0 >
}
object 
{ MolUndIso
  rotate < 90,0,0 >
  translate < -10,0,0 >
}
object 
{ MolUndIso
  rotate < 0,90,0 >
  translate < -10,-29,0 >
}

object 
{ MolUndIso
  rotate < 0,180,0 >
  translate < 35,29,0 >
}
object 
{ MolUndIso
  rotate < 90,0,0 >
  rotate < 0,180,0 >
  translate < 35,0,0 >
}
object 
{ MolUndIso
  rotate < 0,90,0 >
  rotate < 0,180,0 >
  translate < 35,-29,0 >
}
